Subject: RE: [rohc] RE: DAP issues

From: [email-masked]
Date: Mon, 3 Feb 2003 12:41:24 -0600

[Abbie wrote:]

> I think Zhigang clarified it in his mail on Tues, but we 
> could add the following
> line to section 2, paragraph 2.
> 
> "The entire DAP message (message-header + CRLF + message-body)
> is returned. This allows the sender to compare what it sent 
> with what the
> receiver decompressed."

[Zacco wrote:]
 
> >> This is the message header I would not like to have in the 
> returned message. The uncompressed message is just enough. Do 
> we need the header information for some special purpose? If 
> yes, I promise I will not resist.

Zacco,

Sorry, I couldn't follow you. Do you mean the returned uncompressed message should not include the message-header? But then how can the sender be sure that the *entire* DAP message it sent has been correctly decompressed by the remote endpoint? Note, what SigComp processes is the DAP message, not just the DAP message-body. 

I thought this was obvious, but I will add the clarification as Abbie suggested above.

Zhigang
_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc